Package de.willuhn.jameica.hbci.io.csv

# Class Column

java.lang.Object
de.willuhn.jameica.hbci.io.csv.Column

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class Column extends Object implements Serializable, Cloneable
Bean fuer eine CSV-Spalte.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Column()`
ct.
`Column(String property, String name, int column, Serializer s)`
ct.

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
`boolean`
`equals(Object obj)`
`int`
`getColumn()`
Liefert die Spalten-Nummer.
`String`
`getName()`
Liefert einen sprechenden Namen fuer die Spalte.
`String`
`getProperty()`
Liefert den Namen des Bean-Attributes.
`Serializer`
`getSerializer()`
Liefert den Serializer fuer den Wert.
`void`
`setColumn(int column)`
Speichert die Spalten-Nummer.
`void`
`setName(String name)`
Speichert einen sprechenden Namen fuer die Spalte.
`void`
`setProperty(String property)`
Speichert den Namen des Bean-Attributes.
`void`
`setSerializer(Serializer serializer)`
Speichert den Serializer fuer den Wert.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Column

public Column()
ct. Bean-Konstruktor.

### Column

public Column(String property, String name, int column, Serializer s)
ct.

Parameters:
  `property` - Name des Bean-Attributes.
  `name` - Sprechender Name der Spalte.
  `column` - Nummer der Spalte.
  `s` - Serializer.

## Method Details

### getProperty

public String getProperty()
Liefert den Namen des Bean-Attributes.

Returns:
  property Name des Bean-Attributes.

### setProperty

public void setProperty(String property)
Speichert den Namen des Bean-Attributes.

Parameters:
  `property` - Name des Bean-Attributes.

### getName

public String getName()
Liefert einen sprechenden Namen fuer die Spalte.

Returns:
  name sprechender Name fuer die Spalte.

### setName

public void setName(String name)
Speichert einen sprechenden Namen fuer die Spalte.

Parameters:
  `name` - sprechender Name fuer die Spalte.

### getColumn

public int getColumn()
Liefert die Spalten-Nummer.

Returns:
  column die Spalten-Nummer.

### setColumn

public void setColumn(int column)
Speichert die Spalten-Nummer.

Parameters:
  `column` - die Spalten-Nummer.

### getSerializer

public Serializer getSerializer()
Liefert den Serializer fuer den Wert.

Returns:
  serializer der Serializer.

### setSerializer

public void setSerializer(Serializer serializer)
Speichert den Serializer fuer den Wert.

Parameters:
  `serializer` - der Serializer.

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### clone

public Object clone() throws CloneNotSupportedException

Overrides:
  `clone` in class `Object`
Throws:
  `CloneNotSupportedException`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`